Skip to main content
GET
Get recurrence

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

recurrence_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required

Time at which the recurrence was created. Timestamps follow the ISO 8601 standard.

updated_at
string<date-time>
required

Time at which the recurrence was last updated. Timestamps follow the ISO 8601 standard.

automation_level
enum<string>
required

Controls how invoices are processed when generated:

  • "draft": Creates invoices in draft status, requiring manual review, issuing, and sending
  • "issue": Automatically issues invoices but requires manual sending
  • "issue_and_send": Fully automates the process (creates, issues, and sends invoices)

Default: "issue" (or "issue_and_send" if subject_text and body_text are provided)

Note: When using "issue_and_send", both subject_text and body_text must be provided.

Available options:
draft,
issue,
issue_and_send
current_iteration
integer
required

Current iteration number

Required range: x >= 1
frequency
enum<string>
required

How often the invoice will be created.

Available options:
day,
week,
month,
quarter,
year
interval
integer
required

The interval between each occurrence of the invoice. For example, when using monthly frequency, an interval of 1 means invoices will be created every month, an interval of 2 means invoices will be created every 2 months.

Required range: 1 <= x <= 100
invoice_id
string<uuid>
required

ID of the base invoice that will be used as a template for creating recurring invoices.

iterations
object[]
required

List of iterations for the recurrence

Minimum array length: 1
start_date
string<date>
required

The date when the first invoice will be created, in the yyyy-mm-dd format. Cannot be a past date. Subsequent invoice dates will be calculated based on start_date, frequency, and interval.

status
enum<string>
required

Status of the recurrence

Available options:
active,
paused,
canceled,
completed
Examples:

"active"

"canceled"

"completed"

body_text
string | null

The body text for the email that will be sent with the recurring invoice.

end_date
string<date> | null

The end date of the recurring invoice, in the yyyy-mm-dd format. The end date is inclusive, that is, the last invoice will be created on this date if the last occurrence falls on this date. end_date is mutually exclusive with max_occurrences. Either end_date or max_occurrences must be specified.

max_occurrences
integer | null

How many times the recurring invoice will be created. The recurrence will stop after this number is reached. max_occurrences is mutually exclusive with end_date. Either max_occurrences or end_date must be specified.

Required range: 1 <= x <= 1000
recipients
object | null

An object containing the recipients (To, CC, BCC) of the recurring invoices. Can be omitted if the base invoice has the counterpart contact email specified in the counterpart_contact.email field.

subject_text
string | null

The subject for the email that will be sent with the recurring invoice.